cURL
curl --request POST \ --url https://api.morphic.io/api/chats/ \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "is_archived": false, "is_pinned": false, "metadata": {}, "settings": {}, "title": "Q1 Pipeline Analysis" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "is_pinned": false, "is_archived": false, "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "settings": {}, "metadata": {} }
Create a new chat conversation.
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Chat title (auto-generated if not provided)
500
Account ID (null for personal chats)
Successful Response